{{ include('layout/rightColumnCloseButton.twig') }}


<div id="resSendData" style="display:none;"></div>

{% if res.sysma_objects|length == 0 and res.sysma_actions|length == 0 %}

    <h2>Pas de sélection en cours</h2>

    <h3>Dessinez une zone de sélection sur la carte
    

    <a class="btn btn-default btn-sm" onClick='toggleSelectionMode();openClose("rightColumn", "{{ (100-app.session.get('map_width'))|default(60) }}%", "map", "{{ app.session.get('map_width')|default(60) }}%");'><span class="icon-selection" style="margin-top:5px;color:black"></span></a>
    

    ou sélectionnez depuis un secteur dans la liste ci-dessous</h3>


    <select name="secteur" class="form-control" onchange="sendData('secteur='+$(this).val(),'{{ url('selection-geo')}}', 'objet')">
        {% for key,s in secteurs %}
            <option value="{{key}}">{{s}}</option>
        {% endfor %}
    </select>

{% else %}

    <h2>Résultats de la sélection</h2>

    <a href="#" class="btn btn-xs btn-default text-danger" onclick="sendDataAndRedirect('type=delete_all','{{ url('selection-update') }}', 'resSendData', null, null, null, '{{ url('selection-geo') }}', 'objet');drawnItems.clearLayers();">
        <span class="glyphicon glyphicon-remove"></span>
        Vider la sélection</a>

    <p>&nbsp;</p>


    <table class="table">

        {% if res.sysma_objects|length > 0 %}
            <tr>
                <td colspan="8">
                    <h3>Objets</h3>
                </td>
            </tr>

            {% set oldGroupeTitle = null %}
            {% set objectsList = [] %}
            {% set selecOb = app.session.get('user_selection_sysma_objects') %}

            {% set dataUnit = 'test' %}


            {% for key,OId in res.sysma_objects %}

                {% set objectTypeobjectsList = [] %}
                {% set sumLength = 0 %}


                {% for O in res.sysma_objects[key] %}

                    {% set dataLength = null %}


                    {% if [app.session.get('user_id'),O.organisation_id,O.sysma_object_type_id,O.status,null,null,null,'lecteur']|hasAccess %}

                        {% set groupTitle = O.sysma_object_type %}

                        {% set objectsList = objectsList|merge({ (O.id) : O.id }) %}


                        {% if groupTitle != oldGroupeTitle %}

                            <tr>
                                <td colspan="1">
                                    <h4><input title="Sélectionner / dé-sélectionner tous les objets" data-length="{{ dataLength }}" class="allObjectType{{O.sysma_object_type_id}}" value="1" type="checkbox" onclick="toggleAllSysmaObjects({{O.sysma_object_type_id}});"/></h4>
                                </td>
                                <td colspan="6">
                                    <h4>
                                        <b>{{ O.sysma_object_type}}
                                            (<span id='countObjectType{{O.sysma_object_type_id}}'>{{ res.sysma_objects[key]|length }}</span>)
                                        </b>

                                        <a href="{{ url('sysma-object-type', { 'id' : O.sysma_object_type_id })}}"><span class="glyphicon glyphicon-book"></span></a>
                                    </h4>
                                </td>
                            </tr>

                            <tr>
                                <td colspan="1"></td>
                                <td colspan="6">
                                    <select class="form-control" onchange="sendData('sysma_object_ids_list='+$('#objectType{{ key}}ObjectsList').val()+'&sysma_object_type_id={{ key }}& action='+$(this).val(),'{{ url('selection-action')}}', 'objet', null);">
                                        <option>Choisir une action :</option>
                                        <optgroup label="Modifier les objets">
                                            <option value='fill_objects_parameters'>Renseigner les paramètres des objets</option>
                                            <option value='modify_objects'>Modifier les informations des objets (dates, structures, statuts...)</option>
                                        </optgroup>
                                    </select>


                                </td>
                            </tr>


                            {% set oldGroupeTitle = O.sysma_object_type %}

                        {% endif %}


                        {% if O.geometry_type == 'ST_Linestring' %}
                            {% set dataLength = O.infosGeom.perimetre|round %}
                            {% set dataUnit = 'm' %}
                        {% elseif O.geometry_type == 'ST_Polygon' %}
                            {% set dataLength = O.infosGeom.surface|round %}
                            {% set dataUnit = 'm²' %}
                        {% else %}
                            {% set dataUnit = null %}
                        {% endif %}
                        {% set sumLength = sumLength + dataLength %}


                        <tr>
                            <td>

                                <input id="o{{O.id}}" data-length="{{ dataLength }}" class="objectType{{O.sysma_object_type_id}} object" value="1" type="checkbox" {% if (selecOb[O.sysma_object_type_id] is defined and selecOb[O.sysma_object_type_id][O.id] is defined) or selecOb[O.sysma_object_type_id] is not defined %} checked {% set objectTypeobjectsList = objectTypeobjectsList|merge({ (O.id) : O.id } ) %} {% endif %} onclick="updateObjectTypeSelection({{O.sysma_object_type_id}}); updateObjectSelection();"/>
                            </td>
                            <td>
                                <a href="{{ url('objet-carte', { 'sysma_object_id' : O.id })}}" onmouseover="showObjectInMap('o{{ O.id}}')" onmouseout="hideObjectInMap('o{{ O.id}}')">
                                    <small>[{{O.id}}]</small>
                                </a>
                            </td>
                            <td>
                                <b><a href="{{ url('objet-carte', { 'sysma_object_id' : O.id })}}">{{O.sysma_object|raw}}</a></b>
                            </td>
                            <td>{{O.sysma_object_type|raw}}
                            </td>
                            <td>{{ include('sysma-object/sysmaObjectStatusLabel.twig') }}</td>
                            <td>{{O.organisation|raw}}</td>
                            <td class="text-right">

                                {{ dataLength|default(null) }}
                                {{ dataUnit }}


                            </td>
                            


                        </tr>
                    {% endif %}
                {% endfor %}

                <tr>
                    <td colspan="6"></td>
                    <td class="text-right">
                        {% if dataUnit != '' %}
                            <span id="sumLength{{key}}">{{ sumLength }}</span>
                            {{ dataUnit }}
                        {% endif %}
                    </td>
                   
                </tr>


                 <input id="objectType{{ key}}ObjectsList" value="{{ objectTypeobjectsList|default(null)|join(',') }}" style="display:none;"/>



              

            {% endfor %}
        {%  else %}
            <tr>
                <td colspan=" 7">
                    <p>Aucun objet trouvé.</p>
                </td>
            </tr>
        {% endif %}
        {% if res.sysma_actions|length > 0 %}
            <tr>
                <td colspan="7">
                    <h3>Actions</h3>
                </td>
            </tr>
            {% for T in res.sysma_actions %}
                {% if [app.session.get('user_id'),T.organisation_id,null,null,T.sysma_action_type_id ,T.status ,T.id,'lecteur']|hasAccess %}
                    <tr>
                        <td>
                            <small>{{T.id}}</small>
                        </td>
                        <td>{{T.sysma_action|raw}}</td>
                        <td>{{T.sysma_action_type|raw}}</td>
                        <td>
                            {%  for O in T.sysmaObjectsArray %}
                                <a href="{{ url('objet-carte', { 'sysma_object_id' : O.id })}}">{{O.sysma_object}}
                                    <small>[{{ O.id }}]</small>
                                </a><br>
                            {%  endfor %}
                        </td>
                        <td>{{T.organisation|raw}}</td>
                        <td></td>

                        <td>
                            <a href="{{ url('thesaurus-action-type', { 'id' : T.sysma_action_type_id })}}">
                                <span class="glyphicon glyphicon-book"></span>
                            </a>
                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
        {%  else %}
            <tr>
                <td colspan="7">
                    <p>Aucune action trouvée.</p>
                </td>
            </tr>
        {% endif %}
    </table>

{% endif %}


<script type="text/javascript">
    {# JS #}

    /*
    openClose('rightColumn', '{{ ((app.session.get('map_width')|default(60))) }}%', 'map', '{{ 100-(app.session.get('map_width'))|default(40) }}%');
    $('#objet').show(150);
    $('#infos').hide(150);
*/

    function updateObjectTypeSelection(objectTypeId) {

        var selectIds = [];
        var sumLength = 0;

        $('.objectType' + objectTypeId + ':checked').each(function (index) {
            selectIds.push($(this).attr('id').substring(1));
            sumLength += Number($(this).attr('data-length'));
        });

        $('#countObjectType' + objectTypeId).text(selectIds.length);
        $('#objectType' + objectTypeId + 'ObjectsList').val(selectIds.join(','));
        $('#sumLength' + objectTypeId).text(sumLength);
        sendData('type=sysma_objects&sysma_object_type_id=' + objectTypeId + '&sysma_objects_list=' + selectIds.join(','),'{{ url('selection-update') }}', 'resSendData');


    }

    function toggleAllSysmaObjects(objectTypeId) {


        if ($('.allObjectType' + objectTypeId).is(':checked')) {
            $('.objectType' + objectTypeId).each(function (index) {
                $(this).prop('checked', true);
            });
        } else {
            $('.objectType' + objectTypeId).each(function (index) {
                $(this).prop('checked', false);
            });
        } updateObjectTypeSelection(objectTypeId);


    }

    function updateObjectSelection() {}
</script>
